View Issue Details

IDProjectCategoryView StatusLast Update
0031488RunnerFunctionsPublic2019-11-15 10:32
ReporterAliceAssigned ToRussell Kay 
PriorityMediumSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
PlatformWindowsOS10OS Version
Product Version2.2.4 
Target Version2.2.5Fixed in Version2.2.5 
Summary0031488: Functions: is_nan() and is_infinity() return compile errors when checking non-numerical values
DescriptionIssue:
When checking Data types, the variables is_nan and is_infinity will return a compile error when used on data that is not a number or boolean.

Expected:
Functions work correctly and return the appropriate result for the value being checked.
Steps To Reproduce1-Launch the IDE
2- Open the project attached to this report
3- Run the project
4-Observe the issue
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.4.374
2.x Runtime Verified In2.2.5.375

Activities

Alice

2019-11-12 10:11

Adminstrator  

type_check.yyz (18,302 bytes)

Russell Kay

2019-11-13 16:17

Manager   ~0065106

Fixed in gitlab

Alice

2019-11-15 10:31

Adminstrator   ~0065118

Verified fixed on IDE v2.2.5.475 Runtime v2.2.5.375.
Closing the bug.
Thank you.